package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.MemberPriceSettings;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.beanutils.BeanUtils;

/**
 * @Author: liweifan
 * @Data: 2022-04-25 14:34:49
 */
@ApiModel(value = "MemberPriceSettingsVo对象", description = "查询视图对象")
public class MemberPriceSettingsVo extends MemberPriceSettings{
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("更新人 ")
    private String modifierName;

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public MemberPriceSettingsVo buildVo(MemberPriceSettings memberPriceSettings){
        try {
            BeanUtils.copyProperties(this,memberPriceSettings);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return this;
    }

}